package tech.nevets.beerestapi;

import java.util.List;
import java.util.Random;
import java.util.concurrent.ThreadLocalRandom;

import static spark.Spark.*;

public class Main {
    public static List<String> urls = List.of(
            "vetlog.jpg",
            ""
    );

    public static void main(String[] args) {
        if (args[0] != null) {
            port(Integer.parseInt(args[0]));
        } else {
            port(8080);
        }

        get("/bee", (req, res) -> {
            return "{\"link\": \"https://img.nevets.tech/" + getRandomUrl() + "\"}";
        });
    }

    public static String getRandomUrl() {
        Random rand = ThreadLocalRandom.current();
        int i = rand.nextInt(urls.size());
        return urls.get(i);
    }
}
